//**********************************************************************
//**********************************************************************
//**                                                                  **
//**********************************************************************
//**********************************************************************

//**********************************************************************
// 
//**********************************************************************
//
// Name:	<SiSmDriver.h>
//
// Description:	
//
//**********************************************************************

#ifndef _EFI_SISM_DRIVER_H_
#define _EFI_SISM_DRIVER_H_
#ifdef __cplusplus
extern "C" {
#endif
//
// Includes
//
#include <Efi.h>
#include <efilib.h>
#include <efidriverbinding.h>
#include <efidriverconfiguration.h>
//#include <devicepath\devicepath.h>


//---------------------------------------------------------------
///? #include <DXE.h>
///?#include <AmiDxeLib.h>
///?#include <AmiLib.h>
///? #include <Token.h>
///? #include <tiano.h>

/// #include <Protocol\DevicePath.h>
/// #include <Protocol\DriverBinding.h>
/// #include <Protocol\ComponentName.h>
/// #include <Protocol\PciIo.h>
/// #include <pci.h>


/// #include <Protocol/SimpleTextOut.h >
//-------------------------------------------------------------

#define INT32  		signed long
#define INT8  		signed char
#define BOOLEAN		unsigned char
#define	INTN		INT32


//
// EFI Event Types
//

#define EFI_TPL_NOTIFY 		TPL_NOTIFY
#define EFI_TPL_CALLBACK 	TPL_CALLBACK

#define MICROSECOND     10
#define MILLISECOND     (1000 * MICROSECOND)
#define ONESECOND       (1000 * MILLISECOND)

#define EFI_SISM_IO_PROTOCOL_GUID \
  { \
    0xa38451b2, 0x36d9, 0x4f8f,  0xab, 0x65, 0x60, 0xdc, 0x85, 0x57, 0x99, 0x84 \
  }

//---------------------------------------------------------------------------
//
// Name:	SiSmDriverEntryPoint
//
// Description:	
//
// Output:      
//---------------------------------------------------------------------------
EFI_STATUS
EFIAPI
SiSmDriverEntryPoint (
  IN EFI_HANDLE           ImageHandle,
  IN EFI_SYSTEM_TABLE     *SystemTable
  );

typedef EFI_STATUS (EFIAPI *EFI_SISM_IO_SET_VALUE_ON) (
   VOID
);

typedef EFI_STATUS (EFIAPI *EFI_SISM_IO_SET_VALUE_OFF) (
   VOID
);
typedef EFI_STATUS (EFIAPI *EFI_SISM_IO_SET_VALUE_DEC) (
   VOID
);
typedef struct _EFI_SISM_IO_PROTOCOL {
	EFI_SISM_IO_SET_VALUE_ON	SiSmIoSetValueOn;
	EFI_SISM_IO_SET_VALUE_OFF	SiSmIoSetValueOff;
	EFI_SISM_IO_SET_VALUE_DEC	SiSmIoSetValueDec;
	UINTN				Rev;
	UINTN				Data1;
	UINTN				Data2;
} EFI_SISM_IO_PROTOCOL;

#define EFI_SISM_DEVICE_SIGNATURE  EFI_SIGNATURE_32( 'T', 'e', 's', 't' )
#define EFI_SISM_IO_PROTOCOL_REVISION  1

typedef struct
{
	UINTN 			Signature;
    	EFI_SISM_IO_PROTOCOL 	SiSmIoProtocol;
    	UINT8 			PrivateData1;
    	UINT8 			PrivateData2;
} EFI_SISM_DEVICE;

/****** DO NOT WRITE BELOW THIS LINE *******/
#ifdef __cplusplus
}
#endif
#endif
//**********************************************************************
//**********************************************************************
//**********************************************************************
//**********************************************************************
